Bug 348561 - Port yp-tools to use NSS library for cryptography
Port yp-tools to use NSS library for cryptography
Product: Fedora
Classification: Fedora
Component: yp-tools (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
Reported: 2007-10-23 06:24 EDT by Peter Vrabec
Modified: 2013-03-03 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-16 18:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:24:28 EDT
yp-tools should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Karel Klíč 2010-11-16 18:06:51 EST
This bug is about the `yppasswd` utility, which uses crypt() function to encrypt new passwords.

I considered porting this utility to use the NSS library. Two points why it does not make sense:

1. The libcrypt interface in glibc can use NSS internally: http://udrepper.livejournal.com/20948.html

2. yppasswd is deprecated, and no longer developed (see its man page for a proof). Some distributions have it only as a symlink to passwd.

The first point is the reason why I am closing it as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.